Skip to Content

Delete a share link

Disables the public link. Copies already opened remain with their owners. Request: DELETE /v1/template-projects/{projectId}/share-link. Scope: templates:update.

DELETE
/v1/template-projects/{projectId}/share-link

Disables the public link. Copies already opened remain with their owners.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

projectId*string
Match^tproj_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
deleted*boolean
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.templateShareLinks.delete({
  "projectId": "example"
});
Example Response
{
  "deleted": true
}

Related documentation